summaryrefslogtreecommitdiffstats
path: root/office/pandoc-bin
diff options
context:
space:
mode:
Diffstat (limited to 'office/pandoc-bin')
-rw-r--r--office/pandoc-bin/README48
-rw-r--r--office/pandoc-bin/pandoc-bin.SlackBuild61
-rw-r--r--office/pandoc-bin/pandoc-bin.info6
3 files changed, 68 insertions, 47 deletions
diff --git a/office/pandoc-bin/README b/office/pandoc-bin/README
index 6a079f58ec..c9bd8189e7 100644
--- a/office/pandoc-bin/README
+++ b/office/pandoc-bin/README
@@ -1,36 +1,44 @@
-If you need to convert files from one markup format into another, pandoc is your swiss-army knife.
+If you need to convert files from one markup format into another, pandoc
+is your swiss-army knife.
-Pandoc can convert documents in (several dialects of) Markdown, reStructuredText, textile, HTML,
-DocBook, LaTeX, MediaWiki markup, TWiki markup, TikiWiki markup, DokuWiki markup, Creole 1.0,
-Vimwiki markup, roff man, OPML, Emacs Org-Mode, Emacs Muse, txt2tags, Microsoft Word docx,
-LibreOffice ODT, EPUB, Jupyter notebooks ipynb, or Haddock markup to
+Pandoc can convert documents in (several dialects of) Markdown,
+reStructuredText, textile, HTML, DocBook, LaTeX, MediaWiki markup, TWiki
+markup, TikiWiki markup, DokuWiki markup, Creole 1.0, Vimwiki markup,
+roff man, OPML, Emacs Org-Mode, Emacs Muse, txt2tags, Microsoft Word
+docx, LibreOffice ODT, EPUB, Jupyter notebooks ipynb, or Haddock markup
+to
HTML formats
- XHTML, HTML5, and HTML slide shows using Slidy, reveal.js, Slideous, S5, or DZSlides
+ XHTML, HTML5, and HTML slide shows using Slidy, reveal.js, Slideous,
+ S5, or DZSlides
Word processor formats
- Microsoft Word docx, OpenOffice/LibreOffice ODT, OpenDocument XML, Microsoft PowerPoint.
+ Microsoft Word docx, OpenOffice/LibreOffice ODT, OpenDocument XML,
+ Microsoft PowerPoint.
Ebooks
- EPUB version 2 or 3, FictionBook2
+ EPUB version 2 or 3, FictionBook2
Documentation formats
- DocBook version 4 or 5, TEI Simple, GNU TexInfo, roff man, roff ms, Haddock markup
+ DocBook version 4 or 5, TEI Simple, GNU TexInfo, roff man, roff ms,
+ Haddock markup
Archival formats
- JATS
+ JATS
Page layout formats
- InDesign ICML
+ InDesign ICML
Outline formats
- OPML
+ OPML
TeX formats
- LaTeX, ConTeXt, LaTeX Beamer slides
+ LaTeX, ConTeXt, LaTeX Beamer slides
PDF
- via pdflatex, xelatex, lualatex, pdfroff, wkhtml2pdf, prince, or weasyprint.
+ via pdflatex, xelatex, lualatex, pdfroff, wkhtml2pdf, prince, or
+ weasyprint.
Lightweight markup formats
- Markdown (including CommonMark and GitHub-flavored Markdown), reStructuredText, AsciiDoc,
- Emacs Org-Mode, Emacs Muse, Textile, txt2tags, MediaWiki markup, DokuWiki markup,
- TikiWiki markup, TWiki markup, Vimwiki markup, and ZimWiki markup.
+ Markdown (including CommonMark and GitHub-flavored Markdown),
+ reStructuredText, AsciiDoc, Emacs Org-Mode, Emacs Muse, Textile,
+ txt2tags, MediaWiki markup, DokuWiki markup, TikiWiki markup, TWiki
+ markup, Vimwiki markup, and ZimWiki markup.
Interactive notebook formats
- Jupyter notebook (ipynb)
+ Jupyter notebook (ipynb)
Custom formats
- custom writers can be written in lua.
+ custom writers can be written in lua.
NOTE:
This slackbuild repackages the official binary from the Pandoc GitHub.
-There are no additional dependencies. \ No newline at end of file
+There are no additional dependencies.
diff --git a/office/pandoc-bin/pandoc-bin.SlackBuild b/office/pandoc-bin/pandoc-bin.SlackBuild
index 94f0bcaea4..5da85c5178 100644
--- a/office/pandoc-bin/pandoc-bin.SlackBuild
+++ b/office/pandoc-bin/pandoc-bin.SlackBuild
@@ -1,8 +1,8 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for pandoc-bin
-# Copyright 2019-2020 Andrew Payne, Boston MA <phalange@komputermatrix.com>
+# Copyright 2019-2024 Andrew Payne <phalange@komputermatrix.com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,13 +22,14 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=pandoc-bin
SRCNAM=pandoc
-VERSION=${VERSION:-2.9.2}
+VERSION=${VERSION:-3.1.13}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-
-set -e
+PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -38,43 +39,55 @@ if [ -z "$ARCH" ]; then
esac
fi
-if [ "$ARCH" = "x86_64" ]; then
- BIT="64bit"
-else
- echo "$ARCH is not supported."
- exit 1
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
fi
TMP=${TMP:-/tmp/SBo}
-CWD=$(pwd)
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "x86_64" ]; then
+ DEBARCH="amd64"
+else
+ echo "Sorry, the pandoc binary is currently available for x86_64 only."
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP
-rm -rf $SRCNAM-$VERSION
-tar xvf $CWD/$SRCNAM-$VERSION-linux-amd64.tar.gz
-cd $SRCNAM-$VERSION
+cd $PKG
+ar p $CWD/$SRCNAM-$VERSION-*-$DEBARCH.deb data.tar.gz | tar xvz
chown -R root:root .
-
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
-o -perm 511 \) -exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-rm -rf $PKG
-mkdir -p $PKG/usr/
-cp -r bin $PKG/usr/
-cp -r share/man $PKG/usr/
+mkdir -p $PKG/opt/$PRGNAM
+mv usr/bin/pandoc $PKG/opt/$PRGNAM
+rm usr/bin/{pandoc-lua,pandoc-server}
+ln -s /opt/$PRGNAM/pandoc $PKG/usr/bin/pandoc
+ln -s /opt/$PRGNAM/pandoc $PKG/usr/bin/pandoc-lua
+ln -s /opt/$PRGNAM/pandoc $PKG/usr/bin/pandoc-server
-find $PKG/usr/man -type f -exec gzip -9 {} \;
-for i in $( find $PKG/usr/ -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+mv usr/share/man $PKG/usr/
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM-bin.SlackBuild
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+mv usr/share/doc/pandoc/copyright \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf usr/share
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/office/pandoc-bin/pandoc-bin.info b/office/pandoc-bin/pandoc-bin.info
index f9936b8d2a..3d9e21169f 100644
--- a/office/pandoc-bin/pandoc-bin.info
+++ b/office/pandoc-bin/pandoc-bin.info
@@ -1,10 +1,10 @@
PRGNAM="pandoc-bin"
-VERSION="2.9.2"
+VERSION="3.1.13"
HOMEPAGE="https://github.com/jgm/pandoc"
DOWNLOAD="UNSUPPORTED"
MD5SUM=""
-DOWNLOAD_x86_64="https://github.com/jgm/pandoc/releases/download/2.9.2/pandoc-2.9.2-linux-amd64.tar.gz"
-MD5SUM_x86_64="85ee68f2fec31eb6829dabce3b1d8a8f"
+DOWNLOAD_x86_64="https://github.com/jgm/pandoc/releases/download/3.1.13/pandoc-3.1.13-1-amd64.deb"
+MD5SUM_x86_64="594bf5d14291fe14fa759fa0944f96a5"
REQUIRES=""
MAINTAINER="Andrew Payne"
EMAIL="phalange@komputermatrix.com"